--- a/src/drv_vmmc_linux.c
+++ b/src/drv_vmmc_linux.c
@@ -54,6 +54,8 @@
 #include "drv_vmmc_res.h"
 #endif /* (VMMC_CFG_FEATURES & VMMC_FEAT_HDLC) */
 
+#undef VMMC_USE_PROC
+
 /* ============================= */
 /* Local Macros & Definitions    */
 /* ============================= */
@@ -862,7 +864,9 @@ void  vmmc_module_exit(void)
 #ifdef MODULE
 MODULE_DESCRIPTION("VMMC(VoiceMacroMipsCore) device driver - www.lantiq.com");
 MODULE_AUTHOR("Lantiq Deutschland GmbH");
+#if (LINUX_VERSION_CODE < KERNEL_VERSION(5,11,0))
 MODULE_SUPPORTED_DEVICE("DANUBE, TWINPASS, INCA-IP2, AR9, VR9");
+#endif
 MODULE_LICENSE("Dual BSD/GPL");
 
 #if (LINUX_VERSION_CODE < KERNEL_VERSION(2,6,17))
--- a/src/mps/drv_mps_vmmc_linux.c
+++ b/src/mps/drv_mps_vmmc_linux.c
@@ -80,11 +80,15 @@
 /* ============================= */
 #define IFX_MPS_DEV_NAME       "ifx_mps"
 
+#undef CONFIG_MPS_HISTORY_SIZE
+#define CONFIG_MPS_HISTORY_SIZE 0
 #ifndef CONFIG_MPS_HISTORY_SIZE
 #define CONFIG_MPS_HISTORY_SIZE 128
 #warning CONFIG_MPS_HISTORY_SIZE should have been set via cofigure - setting to default 128
 #endif
 
+#undef CONFIG_PROC_FS
+
 /* ============================= */
 /* Global variable definition    */
 /* ============================= */
@@ -2257,7 +2261,7 @@ IFX_int32_t __init ifx_mps_init_module (
    ifx_mps_reset ();
    result = request_irq (INT_NUM_IM4_IRL18,
 #ifdef LINUX_2_6
-                         ifx_mps_ad0_irq, IRQF_DISABLED
+                         ifx_mps_ad0_irq, 0x0
 #else /* */
                          (irqreturn_t (*)(int, IFX_void_t *, struct pt_regs *))
                          ifx_mps_ad0_irq, SA_INTERRUPT
@@ -2267,7 +2271,7 @@ IFX_int32_t __init ifx_mps_init_module (
       return result;
    result = request_irq (INT_NUM_IM4_IRL19,
 #ifdef LINUX_2_6
-                         ifx_mps_ad1_irq, IRQF_DISABLED
+                         ifx_mps_ad1_irq, 0x0
 #else /* */
                          (irqreturn_t (*)(int, IFX_void_t *, struct pt_regs *))
                          ifx_mps_ad1_irq, SA_INTERRUPT
@@ -2282,7 +2286,7 @@ IFX_int32_t __init ifx_mps_init_module (
       sprintf (&voice_channel_int_name[i][0], "mps_mbx vc%d", i);
       result = request_irq (INT_NUM_IM4_IRL14 + i,
 #ifdef LINUX_2_6
-                            ifx_mps_vc_irq, IRQF_DISABLED
+                            ifx_mps_vc_irq, 0x0
 #else /* */
                             (irqreturn_t (*)
                              (int, IFX_void_t *,
